//----------------------------------------------------------------------------
//
//		This file is part of the FALCON II.
//
//		The FALCON II is free software: you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation, either version 3 of the License, or
//		(at your option) any later version.
//
//		The FALCON II is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with the FALCON II.  If not, see http://www.gnu.org/licenses/.
//
//		The FALCON II is copyright 2008-2009 by Timothy Pearson
//		tpearson@raptorengineeringinc.com
//		http://www.raptorengineeringinc.com
//
//----------------------------------------------------------------------------
//
//		The FALCON II is available as a reference design for the 
//		Raptor Engineering VDFPGA series of FPGA development boards
//		Please visit http://www.raptorengineeringinc.com for more information.
//
//----------------------------------------------------------------------------

#include <gtk/gtk.h>


gboolean
quit                                   (GtkWidget       *widget,
                                        GdkEvent        *event,
                                        gpointer         user_data);

void
on_nconnect_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_nmonitor_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_sethv_clicked                       (GtkButton       *button,
                                        gpointer         user_data);

void
on_setpower_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_loginbutton_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_cancelbutton_clicked                (GtkButton       *button,
                                        gpointer         user_data);

void
on_sendcommand_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_changeip_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_thipch_cancel_clicked               (GtkButton       *button,
                                        gpointer         user_data);

void
on_thipch_ok_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_getframebutton_clicked              (GtkButton       *button,
                                        gpointer         user_data);

void
on_sendcommand_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_imagebox_button_press_event         (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_eventbox1_button_press_event        (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_eventbox1_enter_notify_event        (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_eventbox1_leave_notify_event        (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

void
on_displaydcts_clicked                 (GtkButton       *button,
                                        gpointer         user_data);

void
on_getdctsresultsbutton_clicked        (GtkButton       *button,
                                        gpointer         user_data);

void
on_loadmodel_clicked                   (GtkButton       *button,
                                        gpointer         user_data);

void
on_getframe_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_setrgb_clicked                      (GtkButton       *button,
                                        gpointer         user_data);

void
on_setycrcb_clicked                    (GtkButton       *button,
                                        gpointer         user_data);

void
on_startrecognition_clicked            (GtkButton       *button,
                                        gpointer         user_data);

void
on_stoprecognition_clicked             (GtkButton       *button,
                                        gpointer         user_data);

void
on_new1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_open1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_save_as1_activate                   (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_quit1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_cut1_activate                       (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_copy1_activate                      (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_paste1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_delete1_activate                    (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_about1_activate                     (GtkMenuItem     *menuitem,
                                        gpointer         user_data);

void
on_l_switchbuffer_zero_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_l_switchbuffer_one_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_l_switchbuffer_two_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_l_switchbuffer_custom_clicked       (GtkButton       *button,
                                        gpointer         user_data);

void
on_r_switchbuffer_zero_clicked         (GtkButton       *button,
                                        gpointer         user_data);

void
on_r_switchbuffer_one_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_r_switchbuffer_two_clicked          (GtkButton       *button,
                                        gpointer         user_data);

void
on_r_switchbuffer_custom_clicked       (GtkButton       *button,
                                        gpointer         user_data);

gboolean
on_raptorlogobox_button_release_event  (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_raptorlogobox_enter_notify_event    (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_raptorlogobox_leave_notify_event    (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_eventbox2_button_release_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_eventbox2_enter_notify_event        (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_eventbox2_leave_notify_event        (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_eventbox2_button_release_event      (GtkWidget       *widget,
                                        GdkEventButton  *event,
                                        gpointer         user_data);

gboolean
on_eventbox2_enter_notify_event        (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);

gboolean
on_eventbox2_leave_notify_event        (GtkWidget       *widget,
                                        GdkEventCrossing *event,
                                        gpointer         user_data);
